public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Petr Lautrbach <plautrba@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: Install ansible-playbook using pip3
Date: Fri, 11 Sep 2026 13:19:18 GMT [thread overview]
Message-ID: <178913275882.1.13686647080178998865.tests-selinux-a335bae5eac3@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : a335bae5eac3f70b34ea2b83647aed501ced3e33
Author : Petr Lautrbach <plautrba@redhat.com>
Date : 2021-08-04T08:24:58+02:00
Stats : +8/-2 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/a335bae5eac3f70b34ea2b83647aed501ced3e33?branch=pr775-checkpolicy-revdeps
Log:
Install ansible-playbook using pip3
Sometimes ansible is not available as rpm in repositories, but it should
be possible to install ansible using pip3
Fixes:
[ FAIL ] :: Checking for the presence of ansible rpm
[ FAIL ] :: Command 'ansible-playbook -i localhost, -c local -v tests_all_purge.yml' (Expected 0, got 127)
---
diff --git a/policycoreutils/linux-system-roles.selinux-tests/runtest.sh b/policycoreutils/linux-system-roles.selinux-tests/runtest.sh
index 5332b8e..1fa3809 100755
--- a/policycoreutils/linux-system-roles.selinux-tests/runtest.sh
+++ b/policycoreutils/linux-system-roles.selinux-tests/runtest.sh
@@ -34,8 +34,14 @@ rlJournalStart
rlPhaseStartSetup
rlAssertRpm $PACKAGE
rlAssertRpm "git"
- rlAssertRpm "ansible"
-
+ if ! rpm -q ansible; then
+ rlLog "There's no ansible rpm, trying: pip3 install ansible"
+ rlRun "dnf -y install python3-pip"
+ rlRun "pip3 install ansible"
+ rlRun "ansible-playbook --version" 0
+ else
+ rlAssertRpm "ansible"
+ fi
rlPhaseEnd
rlPhaseStartTest
reply other threads:[~2026-09-11 13:19 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913275882.1.13686647080178998865.tests-selinux-a335bae5eac3@fedoraproject.org \
--to=plautrba@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox